Bug 827805 - Review Request: python-ttystatus - Progress and status updates on terminals for Python
Review Request: python-ttystatus - Progress and status updates on terminals f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 827803
Blocks: 827806 827808 827809 827810
  Show dependency treegraph
 
Reported: 2012-06-03 02:21 EDT by Michel Alexandre Salim
Modified: 2012-10-18 07:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-06-03 02:21:55 EDT
Spec URL: http://salimma.fedorapeople.org/specs/admin/python-ttystatus.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/python-ttystatus-0.18-1.fc17.src.rpm
Description:
ttystatus is a Python library for showing progress reporting and
status updates on terminals, for (Unix) command line programs. Output
is automatically adapted to the width of the terminal: truncated if it
does not fit, and re-sized if the terminal size changes.

Output is provided via widgets. Each widgets formats some data into a
suitable form for output. It gets the data either via its initializer,
or from key/value pairs maintained by the master object. The values
are set by the user. Every time a value is updated, widgets get
updated (although the terminal is only updated every so often to give
user time to actually read the output).

Fedora Account System Username: salimma
Comment 1 Kevin Fenzi 2012-06-07 00:16:17 EDT
I can look at reviewing this tomorrow unless someone beats me to it. ;) 

I note that it doesn't seem to build in rawhide mock currently: 

+ make check
python -m CoverageTestRunner --ignore-missing-from=without-tests
FAILED
...
0 failures, 0 errors
62 excluded statements
5 excluded modules
2 missing test modules
Time: 1.4 s
make: *** [check] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.58C9Ov (%check)
Comment 2 Michel Alexandre Salim 2012-06-07 00:35:27 EDT
(In reply to comment #1)
> I can look at reviewing this tomorrow unless someone beats me to it. ;) 
> 
> I note that it doesn't seem to build in rawhide mock currently: 
> 
> + make check
> python -m CoverageTestRunner --ignore-missing-from=without-tests
> FAILED

I need to update the package -- basically my initial packages were created using the CoverageTestRunner version posted on the author's site, which did not actually properly fail when detecting missing tests.

The latest one now packaged does, but the tests are meant to run before the build directory is created, whereas our %%check is run after %%build and %%install -- I'll update the srpm to actually wipe build before running tests.
Comment 3 Michel Alexandre Salim 2012-06-07 00:57:03 EDT
Updated spec and SRPM. Thanks, Kevin, for noticing the issue.

Spec URL: http://salimma.fedorapeople.org/specs/admin/python-ttystatus.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/python-ttystatus-0.18-2.fc17.src.rpm
Comment 4 Kevin Fenzi 2012-06-08 17:42:00 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv3+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
7e7d507a77db43a285f1a1e17d09b4c3  python-ttystatus_0.18.orig.tar.gz
7e7d507a77db43a285f1a1e17d09b4c3  python-ttystatus_0.18.orig.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Doc subpackage needed/used. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have subpackages require base package with fully versioned depend. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

python-ttystatus.noarch: W: spelling-error %description -l en_US initializer -> initialize, initializes, initialized
python-ttystatus.src: W: spelling-error %description -l en_US initializer -> initialize, initializes, initialized
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Can be ignored. 

I see no blockers here, so this package is APPROVED.
Comment 5 Michel Alexandre Salim 2012-06-09 12:33:03 EDT
Thanks, Kevin!

New Package SCM Request
=======================
Package Name: python-ttystatus
Short Description: Progress and status updates on terminals for Python
Owners: salimma
Branches: f16 f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-06-09 13:25:47 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-06-10 13:32:15 EDT
python-ttystatus-0.18-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-ttystatus-0.18-2.fc16
Comment 8 Fedora Update System 2012-06-10 13:32:26 EDT
python-ttystatus-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-ttystatus-0.18-2.fc17
Comment 9 Fedora Update System 2012-06-11 20:31:25 EDT
python-ttystatus-0.18-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-19 20:23:14 EDT
python-ttystatus-0.18-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-06-19 20:25:23 EDT
python-ttystatus-0.18-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Michel Alexandre Salim 2012-10-17 02:45:31 EDT
Package Change Request
======================
Package Name: python-cliapp
New Branches: el6
Comment 13 Michel Alexandre Salim 2012-10-17 02:46:35 EDT
Package Change Request
======================
Package Name: python-ttystatus
New Branches: el6
Comment 14 Gwyn Ciesla 2012-10-17 10:01:50 EDT
Misformatted request.
Comment 15 Michel Alexandre Salim 2012-10-18 02:53:02 EDT
Package Change Request
======================
Package Name: python-ttystatus 
New Branches: el6
Owners: salimma
Comment 16 Gwyn Ciesla 2012-10-18 07:08:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.